Jira Deployment
- POST
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
Creates a new Jira Deployment action in the pipeline
Request example
curl -X POST "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Send Jira deployment notification",
"type": "JIRA_DEPLOYMENT",
"trigger_time": "ON_EVERY_EXECUTION",
"integration": {
"identifier": "jira-integration"
},
"issue_key": "PROJ-123",
"display_name": "Deploy to production #$BUDDY_EXECUTION_ID",
"description": "Deployment completed successfully",
"state": "successful",
"environment_id": "prod-env-123",
"environment_name": "Production Environment",
"environment_type": "production"
}'STATUS200 OK